<?php
public function syncGitFoxData($syncID = 0)
{
    if(!$this->config->inQuickon || $this->config->inQuickon === 'false') return false;
    if(!$this->loadModel('common')->checkExtLicense('devops')) return false;

    return $this->loadExtension('devops')->syncGitFoxData($syncID);
}

public function initSyncData($userIdList = array())
{
    if(!$this->config->inQuickon || $this->config->inQuickon === 'false') return false;
    if(!$this->loadModel('common')->checkExtLicense('devops')) return false;

    return $this->loadExtension('devops')->initSyncData($userIdList);
}

public function getSystemServer($appName = 'GitFox')
{
    if(!$this->config->inQuickon || $this->config->inQuickon === 'false') return false;
    if(!$this->loadModel('common')->checkExtLicense('devops')) return false;

    return $this->loadExtension('devops')->getSystemServer($appName);
}

public function saveWaitSyncData($objectType, $objectID, $operate = 'add', $isAsync = false)
{
    if(!$this->config->inQuickon || $this->config->inQuickon === 'false') return false;
    if(!$this->loadModel('common')->checkExtLicense('devops')) return false;

    return $this->loadExtension('devops')->saveWaitSyncData($objectType, $objectID, $operate);
}

public function getByID($id)
{
    return $this->loadExtension('devops')->getByID($id);
}

public function getSystemInstance()
{
    if(!$this->config->inQuickon || $this->config->inQuickon === 'false') return false;
    if(!$this->loadModel('common')->checkExtLicense('devops')) return false;

    return $this->loadExtension('devops')->getSystemInstance();
}

public function getList($pager = null, $pinned = '', $searchParam = '', $status = 'all', $alertMark = true)
{
    return $this->loadExtension('devops')->getList($pager, $pinned, $searchParam, $status, $alertMark);
}

public function getByK8nameList($k8nameList)
{
    return $this->loadExtension('devops')->getByK8nameList($k8nameList);
}

public function getServiceCount($status = '')
{
    return $this->loadExtension('devops')->getServiceCount($status);
}
